<?php
/**
 * @desc Generate language selection menu with custom ul id and class and custom li class
 */
?>

<ul <?php echo $attributesStr;?>>
    <?php foreach ($languages as $key => $language) {//Loop through each language ?>
        <?php /** @var $language \Ip\Language */?>
        <?php if (!$language->isVisible()) { continue; }?>
        <?php $activeClass = ($language->isCurrent()) ? ' class="active"' : ''; ?>

        <?php foreach ($translationPageIds as $translationPageId) { //Loop through each translation page ?> 
            <?php $translationPage = ipContent()->getPage($translationPageId); ?>

            <?php if ($language->getCode() == $translationPage->getLanguageCode()) { //Sorry, dont know how to explain ?>
                <?php $href = $language->getLink().''.$translationPage->getUrlPath(); ?>
                <li <?php echo $activeClass; ?>>
                    <a title="<?php echo escAttr($language->getTitle()); ?>" href="<?php echo escAttr($href); ?>">
                        <?php echo esc($language->getAbbreviation()); ?>
                    </a>
                </li> 
            <?php } ?>

        <?php } ?>      
    <?php } ?>
</ul>
